package com.ibiz5.app.demoapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import com.ibiz5.app.util.domain.DTOBase;
import com.ibiz5.app.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[IBZ5SoftwareSuitDTO]
 */
@Data
public class IBZ5SoftwareSuitDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [IBZ5SOFTWARESUITID]
     *
     */
    @JSONField(name = "ibz5softwaresuitid")
    @JsonProperty("ibz5softwaresuitid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ibz5softwaresuitid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [IBZ5SOFTWARESUITNAME]
     *
     */
    @JSONField(name = "ibz5softwaresuitname")
    @JsonProperty("ibz5softwaresuitname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ibz5softwaresuitname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;


    /**
     * 设置 [IBZ5SOFTWARESUITNAME]
     */
    public void setIbz5softwaresuitname(String  ibz5softwaresuitname){
        this.ibz5softwaresuitname = ibz5softwaresuitname ;
        this.modify("ibz5softwaresuitname",ibz5softwaresuitname);
    }


}


